/*-
 * ============LICENSE_START=======================================================
 * aai
 * ================================================================================
 * Copyright (C) 2017-2019 AT&T Intellectual Property. All rights reserved.
 * Modifications Copyright (C) 2019 Nordix Foundation.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.aai;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class AaiNqInventoryResponseItem implements Serializable {

    private static final long serialVersionUID = 7142072567154675183L;

    @SerializedName("model-name")
    private String modelName;

    @SerializedName("vf-module")
    private AaiNqVfModule vfModule;

    @SerializedName("service-instance")
    private AaiNqServiceInstance serviceInstance;

    @SerializedName("vserver")
    private AaiNqVServer vserver;

    @SerializedName("tenant")
    private AaiNqTenant tenant;

    @SerializedName("cloud-region")
    private AaiNqCloudRegion cloudRegion;

    @SerializedName("generic-vnf")
    private AaiNqGenericVnf genericVnf;

    @SerializedName("extra-properties")
    private AaiNqExtraProperties extraProperties;

    @SerializedName("inventory-response-items")
    private AaiNqInventoryResponseItems items;
}
