/*-
 * ============LICENSE_START=======================================================
 * aai
 * ================================================================================
 * Copyright (C) 2017-2019 AT&T Intellectual Property. All rights reserved.
 * Modifications Copyright (C) 2019 Nordix Foundation.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.aai;

import java.io.Serializable;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class PnfInstance implements Serializable {

    private static final long serialVersionUID = -3694152433472165034L;

    private String pnfName;
    private String pnfInstanceName;
    private PnfType pnfType;
    private String pnfSerial;

    /**
     * Create an instance from a given instance.
     *
     * @param instance the instance
     */
    public PnfInstance(PnfInstance instance) {
        if (instance == null) {
            return;
        }
        this.pnfName = instance.pnfName;
        this.pnfInstanceName = instance.pnfInstanceName;
        this.pnfType = instance.pnfType;
        this.pnfSerial = instance.pnfSerial;
    }
}
